// PREFSDIALOG.H
// 
// Copyright PanSoftware Ltd 2000
//

#ifndef __PREFSDIALOG_H__
#define __PREFSDIALOG_H__

#include <eikdialg.h>

#include "sysdeps.h"
#include "Prefs.h"
#include "C64.h"

//
// class CPrefsDialog
//

class CPrefsDialog : public CEikDialog
	{
public:
	CPrefsDialog(C64* aC64);
	~CPrefsDialog();
private: // framework
	void PreLayoutDynInitL();
	TBool OkToExitL(TInt aButtonId);
	void SetInitialCurrentLine();
	void PageChangedL(TInt aControlId);
#if defined(__ER6__)
    void LineChangedL(TInt aControlId);
#endif

private:
	C64* iC64;
	Prefs* iPrefs;
	Prefs* iOrigPrefs;
	};

#endif // __PREFSDIALOG_H__
