// ESTPATCH.H
//
// Copyright (c) 
//

#if !defined(__ESTPATCH_H__)
#define __ESTPATCH_H__

#include <e32math.h>

//
// DEFINED IN STRING.H
//

//
// strcpy
//
#ifndef strcpy
#define strcpy(d,s) Mem::Copy(d, s, User::StringLength((TUint8*)s) )
#endif

//
// memset
//

#ifndef memset
#define memset(dst, what, size)		Mem::Fill(dst, size, what)
#endif

//
// strchr
//

char* strchr(const char* src, int c);


//
// strncpy
//
	
#ifndef strncpy
#define strncpy(dst, src, n) Mem::Copy(dst, src, n)
#endif

//
// memcpy
//

#ifndef memcpy
#define memcpy(dst, src, n) Mem::Copy(dst, src, n)
#endif

//
// strlen
//

#ifndef strlen
#define strlen(p)  (User::StringLength((TUint8*)p) )
#endif

//
// strcmp
//

#ifndef strcmp
#define strcmp(s1, s2)  Mem::Compare((TUint8*) s1, User::StringLength((TUint8*)s1), (TUint8*) s2, User::StringLength((TUint8*)s2) )
#endif



//
// rand - math.h
//
#ifndef rand
#define rand() 1
#endif

///////////////////////////////////////////////////////////////////////////////

//
// FILE
//
#ifndef FILE
#define FILE void	//TODO
#endif


//
// fopen
//
#ifndef fopen
#define fopen(a, b)  ((void*)0)	//TODO
#endif

//
// fclose
//
#ifndef fclose
#define fclose(f)  (1)	//TODO
#endif

//
// fwrite
//
#ifndef fwrite
#define fwrite(a, b, c, d)  (0)	//TODO
#endif

//
// fread
//
#ifndef fread
#define fread(a, b, c, d)  (0)	//TODO
#endif

//
// fprintf
//
#ifndef fprintf
#define fprintf	  (void)	//TODO
#endif

//
// fputc
//
#ifndef fputc
#define fputc(a, b)  (0)	//TODO
#endif

//
// fgetc
//
#ifndef fgetc
#define fgetc(a)  (0)	//TODO
#endif

//
// fseek
//
#ifndef fseek
#define fseek(a, b, c)  (0)	//TODO
#endif

//
// ftell
//
#ifndef ftell
#define ftell(a)  (0)	//TODO
#endif

//
// perror
//
#ifndef perror
#define perror(a)	RDebug::Print( _L(a) )
#endif

//
// rewind
//
#ifndef rewind
#define rewind(a)
#endif
//IMPORT_C void	rewind		(FILE *);

//
// tmpfile
//
#ifndef tmpfile
#define tmpfile() ((void*)0)
#endif
//IMPORT_C FILE *	tmpfile		(void);


//
// EOF
//
#ifndef EOF
#define	EOF	(-1)
#endif

//
// printf
//
#ifndef printf
#define	printf
#endif
//printf("Head move %d\n", current_halftrack);

//
// fscanf
//
#ifndef fscanf
#define	fscanf
#endif
//IMPORT_C int	fscanf		(FILE *, const char *, ...);

//
// feof
//
#ifndef feof
#define	feof(a)		(0)
#endif
//IMPORT_C int	feof		(FILE *);

//
// sprintf
//
#ifndef sprintf
#define	sprintf	(void)
#endif

//
// fgets
//
#ifndef fgets
#define	fgets(a, b, c)		(0)
#endif
//IMPORT_C char *  fgets		(char *, int, FILE *);

//
// sscanf
//
#ifndef sscanf
#define	sscanf(a,b,c,d)		(1)
#endif
//IMPORT_C int	sscanf		(const char *, const char *, ...);


//
// atoi
//
#ifndef atoi
#define	atoi(a)			(0)
#endif

//
// ndir.h
//
#define opendir(a)		(0)
#define closedir(a)
#define readdir(a)		(0)

#define DIR			void

struct direct
{
  unsigned short d_ino;			/* a bit of a farce */
  int d_reclen;			/* more farce */
  int d_namlen;			/* length of d_name */
  char d_name[100];	/* garentee null termination */
};




//
// atoi
//
#define stat(a, b)








#endif // __ESTPATCH_H__
