// recfrodo.h
//
// Copyright (c) 2000-2001 Alfred E. Heggestad
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License version 2 as
//    published by the Free Software Foundation.
//
#ifndef RECFRODO_H__
#define RECFRODO_H__

/**
 * @file recfrodo.h
 *
 * Defines the class CRecFrodo for recognizing frodo files
 */

#include <apmrec.h>

/**
 * Realises a CApaDataRecognizerType class for
 * recognizing Frodo files on a Symbian device.
 */
class CRecFrodo : public CApaDataRecognizerType
	{
  public: 
	CRecFrodo();
	
// -- CApaDataRecognizerType
  public:
	TUint PreferredBufSize();
	TDataType SupportedDataTypeL(TInt aIndex) const;
  private:
	void DoRecognizeL(const TDesC& aName, const TDesC8& aBuffer);
	};

#endif // RECFRODO_H__
