// recfrodofile.h
//
// Copyright (c) 2000-2001 Alfred E. Heggestad
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License version 2 as
//    published by the Free Software Foundation.
//
#ifndef RECFRODOFILE_H__
#define RECFRODOFILE_H__

/**
 * @file recfrodofile.h
 *
 * Defines the class CRecFrodoFile for recognizing Frodo files
 */

#include <apadef.h>
#include <apaflrec.h>


class CRecFrodoFile : public CApaFileRecognizerType
	{
public:
	virtual TThreadId RunL(TApaCommand aCommand, const TDesC* aDocFileName=NULL,const TDesC8* aTailEnd=NULL) const;
private:
	TRecognizedType DoRecognizeFileL(RFs& aFs, TUidType aType);
	};

#endif // RECFRODOFILE_H__
